<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\BelegteKurse\HandleAbmeldung;

abstract class HandleAbmeldungController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getRequestObj()
  {
    $requestObj = new HandleAbmeldungRequest();
    $requestObj->belegungIdsToStorno = explode(';', \PostOperations::getVarValue('belIdsToStorno'));
    $requestObj->tnr = \GetOperations::getVarValue('tnr');
    $requestObj->tguid = \GetOperations::getVarValue('tguid', null);

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return null; 
  }
}